API reference
Get a search
Status, stage, outcome and how many profiles it read. Poll until status is no longer queued or running (see Async jobs). Does not use shortlist credits.
Needs scope searches:read.
GET
/
searches
/
{searchId}
Get a search
curl --request GET \
--url https://api.revcenter.ai/v1/searches/{searchId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.revcenter.ai/v1/searches/{searchId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.revcenter.ai/v1/searches/{searchId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"id": "<string>",
"project_id": "<string>",
"status": "queued",
"stage": "<string>",
"stop_reason": "<string>",
"outcome": "Shortlist ready",
"profiles_read": 123,
"delivered": 123,
"database_only": true,
"expansion": true,
"criteria": {
"title_variants": [
"<string>"
],
"metro": "<string>",
"allowed_metros": [
"<string>"
],
"remote_ok": true,
"seniority": "c_suite",
"years_experience": {
"min": 123,
"max": 123,
"enforcement": "hard"
},
"current_industries": [
"<string>"
],
"exclude_industries": [
"<string>"
],
"functions": [
"<string>"
],
"employers": [
{
"name": "<string>",
"temporal": "current",
"flag": "must"
}
],
"schools": [
"<string>"
],
"must_have": [
"<string>"
],
"skills": [
"<string>"
],
"shortlist_min_score": 123
},
"created_at": "<string>",
"closed_at": "<string>"
},
"meta": {
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
},
"meta": {
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
},
"meta": {
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
},
"meta": {
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
},
"meta": {
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
},
"meta": {
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
},
"meta": {
"request_id": "<string>"
}
}⌘I
Get a search
curl --request GET \
--url https://api.revcenter.ai/v1/searches/{searchId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.revcenter.ai/v1/searches/{searchId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.revcenter.ai/v1/searches/{searchId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"id": "<string>",
"project_id": "<string>",
"status": "queued",
"stage": "<string>",
"stop_reason": "<string>",
"outcome": "Shortlist ready",
"profiles_read": 123,
"delivered": 123,
"database_only": true,
"expansion": true,
"criteria": {
"title_variants": [
"<string>"
],
"metro": "<string>",
"allowed_metros": [
"<string>"
],
"remote_ok": true,
"seniority": "c_suite",
"years_experience": {
"min": 123,
"max": 123,
"enforcement": "hard"
},
"current_industries": [
"<string>"
],
"exclude_industries": [
"<string>"
],
"functions": [
"<string>"
],
"employers": [
{
"name": "<string>",
"temporal": "current",
"flag": "must"
}
],
"schools": [
"<string>"
],
"must_have": [
"<string>"
],
"skills": [
"<string>"
],
"shortlist_min_score": 123
},
"created_at": "<string>",
"closed_at": "<string>"
},
"meta": {
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
},
"meta": {
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
},
"meta": {
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
},
"meta": {
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
},
"meta": {
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
},
"meta": {
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
},
"meta": {
"request_id": "<string>"
}
}